/* safe memory allocation routines */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>

void *
xmalloc(size_t sz)
{
	void *p;

	p = malloc(sz);
	if (p == NULL) {
		printf("Can't allocate %llu bytes of memory\n",
		    (unsigned long long)sz);
		exit(1);
	}
	memset(p,0,sz);
	return p;
}

void *
xrealloc(void *op, size_t newsz)
{
	void *p = realloc(op, newsz);
	if (p == NULL) {
		printf("Can't realloc() to %llu bytes\n",
		    (unsigned long long)newsz);
		exit(1);
	}
	return p;
}


